Package ru.bitel.bgbilling.modules.hd.server.bean

# Class HdPackageManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.hd.server.bean.HdPackageManager

public class HdPackageManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdPackageManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePackage(int id)`
  `List<HdPackage>`
  `getAllowedServiceList(int contractId, Calendar date)`
  `HdPackage`
  `getPackage(int id)`
  `List<HdPackage>`
  `getPackageList()`
  `String`
  `getTypesWithDomainsInZone(int zoneId)`
  `String`
  `getTypesWithHostsInZone(int zoneId)`
  `void`
  `updatePackage(HdPackage service)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HdPackageManager

    public HdPackageManager(Connection con, int moduleId)

- ## Method Details

  - ### getPackage

    public HdPackage getPackage(int id)

  - ### deletePackage

    public void deletePackage(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updatePackage

    public void updatePackage(HdPackage service)

  - ### getPackageList

    public List<HdPackage> getPackageList()

  - ### getAllowedServiceList

    public List<HdPackage> getAllowedServiceList(int contractId, Calendar date)

  - ### getTypesWithDomainsInZone

    public String getTypesWithDomainsInZone(int zoneId)

  - ### getTypesWithHostsInZone

    public String getTypesWithHostsInZone(int zoneId)